%define anolis_release 1

%undefine __cmake_in_source_build
%global _vpath_builddir build

Name: yajl
Version: 2.1.0
Release: %{anolis_release}%{?dist}
Summary: Yet Another JSON Library (YAJL)

License: ISC
URL: https://lloyd.github.io/yajl/

Source0: https://github.com/lloyd/yajl/archive/refs/tags/%{version}.tar.gz
Patch1: %{name}-%{version}-pkgconfig-location.patch
Patch2: %{name}-%{version}-pkgconfig-includedir.patch
Patch3: %{name}-%{version}-test-location.patch
Patch4: %{name}-%{version}-dynlink-binaries.patch

BuildRequires:  gcc
BuildRequires: cmake

%package devel
Summary: Libraries, includes, etc to develop with YAJL
Requires: %{name} = %{version}-%{release}

%description
Yet Another JSON Library. YAJL is a small event-driven
(SAX-style) JSON parser written in ANSI C, and a small
validating JSON generator.

%description devel
Yet Another JSON Library. YAJL is a small event-driven
(SAX-style) JSON parser written in ANSI C, and a small
validating JSON generator.

This sub-package provides the libraries and includes
necessary for developing against the YAJL library

%package doc
Summary: Doc files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
oc files for %{name}

%prep
%autosetup -p1

%build
%cmake
%cmake_build


%install
%cmake_install

# No static libraries
rm -f $RPM_BUILD_ROOT%{_libdir}/libyajl_s.a

%generate_compatibility_deps

%check
cd test
(cd parsing && ./run_tests.sh)
(cd api && ./run_tests.sh)


%files
%license COPYING
%{_bindir}/json_reformat
%{_bindir}/json_verify
%{_libdir}/libyajl.so.2
%{_libdir}/libyajl.so.2.*
%dir %{abidir}
%{abidir}/*.dump

%files devel
%dir %{_includedir}/yajl
%{_includedir}/yajl/yajl_common.h
%{_includedir}/yajl/yajl_gen.h
%{_includedir}/yajl/yajl_parse.h
%{_includedir}/yajl/yajl_tree.h
%{_includedir}/yajl/yajl_version.h
%{_libdir}/libyajl.so
%{_libdir}/pkgconfig/yajl.pc

%files doc
%doc ChangeLog README TODO

%changelog
* Thu Mar 16 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.1.0-1
- init from upstream
